Bug 35915

Summary: [EFL] Add FrameLoaderClientEfl.{cpp,h} to WebKit/efl/WebCoreSupport
Product: WebKit Reporter: Leandro Pereira <leandro>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Enhancement CC: barbieri, bunhere, commit-queue, gns, gyuyoung.kim, hyuki.a.kim, hyuki.kim, joone.hur, rakuco, tonikitoo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Add FrameLoaderClientEfl to WK/efl/WebCoreSupport.
kenneth: review+, kenneth: commit-queue-
Add FrameLoaderClientEfl to WK/efl/WebCoreSupport. none

Description Leandro Pereira 2010-03-09 06:19:07 PST
+++ This bug was initially created as a clone of Bug #35059 +++

Attached patch adds EFL's implementation of FrameLoaderClient to
WebKit/efl/WebCoreSupport.
Comment 1 Leandro Pereira 2010-03-09 06:21:05 PST
Created attachment 50298 [details]
Add FrameLoaderClientEfl to WK/efl/WebCoreSupport.
Comment 2 Kenneth Rohde Christiansen 2010-04-15 12:02:35 PDT
Comment on attachment 50298 [details]
Add FrameLoaderClientEfl to WK/efl/WebCoreSupport.

On the mobile you probably want to say Mobile Safari and not Safari in the UA.


> +PassRefPtr<Frame> FrameLoaderClientEfl::createFrame(const KURL& url, const String& name, HTMLFrameOwnerElement* ownerElement,
> +                                                 const String& referrer, bool allowsScrolling, int marginWidth, int marginHeight)

Please keep these method definitions on one line.

Apart from that, it looks fine as an initial commit.
Comment 3 Leandro Pereira 2010-04-15 15:33:58 PDT
Created attachment 53483 [details]
Add FrameLoaderClientEfl to WK/efl/WebCoreSupport.

Kenneth already r+'ed this patch.

I've fixed the createFrame definition.
Regarding the user agent, our API supports changing the user agent, so this won't be a huge issue if someone develops a mobile browser with the EFL port. This will be fixed, of course.
Comment 4 WebKit Commit Bot 2010-04-16 00:03:29 PDT
Comment on attachment 53483 [details]
Add FrameLoaderClientEfl to WK/efl/WebCoreSupport.

Clearing flags on attachment: 53483

Committed r57716: <http://trac.webkit.org/changeset/57716>
Comment 5 WebKit Commit Bot 2010-04-16 00:03:38 PDT
All reviewed patches have been landed.  Closing bug.